VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Safety Matches"
   ClientHeight    =   7215
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   8070
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   ScaleHeight     =   481
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   538
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox picN 
      AutoRedraw      =   -1  'True
      Height          =   750
      Index           =   0
      Left            =   2625
      ScaleHeight     =   46
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   46
      TabIndex        =   0
      Top             =   1290
      Visible         =   0   'False
      Width           =   750
   End
   Begin VB.Menu mnuGame 
      Caption         =   "Game"
      Begin VB.Menu mnuGameNew 
         Caption         =   "New Game"
         Shortcut        =   ^N
      End
      Begin VB.Menu mnuGameResults 
         Caption         =   "Results"
         Shortcut        =   ^R
      End
      Begin VB.Menu sep1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuGameEnd 
         Caption         =   "End"
      End
   End
   Begin VB.Menu mnuOptions 
      Caption         =   "Options"
      Begin VB.Menu mnuOptionsDimension 
         Caption         =   "Set Dimension"
         Shortcut        =   ^D
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False



'formulare:     frmDimension,frmMain,frmResults
'moduly:        mdl
'XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

Private Sub NewGame(Dimension As Integer)
Dim i As Integer, j As Integer, N As Integer    'pomocne promnene

'nastaveni pocatecnich hodnot
RED = 0
BLUE = 0
curIndex = 1
Player = "RED"
frmMain.Caption = "Safety Matches: " + Player
N = 1

'vytvoreni picture boxu
For j = 0 To Dimension - 1
    For i = 0 To Dimension - 1
        Load picN(N)
        picN(N).Move i * 50, j * 50         'nastaveni vlastnosti
        picN(N).Visible = True
        picN(N).BackColor = frmMain.BackColor
        N = N + 1
    Next i
Next j

End Sub

Private Sub Form_Activate()
If StartNew Then                'rozhodovani zdali se ma zacit znovu
    Dim i As Integer            'pomocna promnena
    i = OldDimension ^ 2        'pocet poli
    
    Do Until i = 0              'unload poli
    Unload picN(i)
    i = i - 1
    Loop

    NewGame (Dimension)
    
    StartNew = False
End If
End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
oldCurIndex = curIndex

'zjistovani stavu klaves
Select Case KeyCode
    Case 37
        If picN(curIndex - 1).BackColor = frmMain.BackColor Then        'nemuze na pouyite
            If picN(curIndex).BackColor = vbGreen Then picN(curIndex).BackColor = frmMain.BackColor     'nastaveni puvodni barvy
            If curIndex > 1 Then curIndex = curIndex - 1                'zamezeni prelezeni
            picN(curIndex).BackColor = vbGreen                          'oznacene misto
        End If
    Case 38
        If picN(curIndex - Dimension).BackColor = frmMain.BackColor Then
            If picN(curIndex).BackColor = vbGreen Then picN(curIndex).BackColor = frmMain.BackColor
            If curIndex > 1 + Dimension Then curIndex = curIndex - Dimension
            picN(curIndex).BackColor = vbGreen
        End If
    Case 39
        If picN(curIndex + 1).BackColor = frmMain.BackColor Then
            If picN(curIndex).BackColor = vbGreen Then picN(curIndex).BackColor = frmMain.BackColor
            If curIndex < Dimension ^ 2 Then curIndex = curIndex + 1
            picN(curIndex).BackColor = vbGreen
        End If
    Case 40
        If picN(curIndex + Dimension).BackColor = frmMain.BackColor Then
            If picN(curIndex).BackColor = vbGreen Then picN(curIndex).BackColor = frmMain.BackColor
            If curIndex < Dimension ^ 2 - Dimension Then curIndex = curIndex + Dimension
            picN(curIndex).BackColor = vbGreen
        End If
    Case 32
        picN(curIndex).BackColor = vbWhite
        MarkSquares
End Select


If Player = "RED" Then 'vystridani hracu
    Player = "BLUE"
Else
    Player = "RED"
End If
frmMain.Caption = "Safety Matches: " + Player

End Sub



Private Sub Form_Load()
StartNew = False
Dimension = 10
curIndex = 1
oldColor = frmMain.BackColor
Player = "RED"
frmMain.Caption = "Safety Matches: " + Player
NewGame (Dimension)

End Sub

Private Sub mnuGameEnd_Click()
Unload Me
End
End Sub

Private Sub mnuGameNew_Click()
 Dim i As Integer
    OldDimension = Dimension
    i = OldDimension * OldDimension
    
    Do Until i = 0
    Unload picN(i)
    i = i - 1
    Loop

    NewGame (Dimension)
End Sub

Private Sub mnuGameResults_Click()
frmResults.Show
End Sub

Private Sub mnuOptionsDimension_Click()
frmDimension.Show
End Sub
Private Sub MarkSquares()
Dim white As Integer, a As Integer

For white = 1 To Dimension ^ 2
    If picN(white).BackColor = vbWhite Then
        If picN(white + 1).BackColor = vbWhite Then
            If picN(white + 1 + Dimension).BackColor = vbWhite Then
                If picN(white + Dimension).BackColor = vbWhite Then
                      
                    If Player = "RED" Then
                        
                        picN(white).BackColor = vbRed
                        picN(white + 1).BackColor = vbRed
                        picN(white + 1 + Dimension).BackColor = vbRed
                        picN(white + Dimension).BackColor = vbRed
                        RED = RED + 1
                    Else
                        
                        picN(white).BackColor = vbBlue
                        picN(white + 1).BackColor = vbBlue
                        picN(white + 1 + Dimension).BackColor = vbBlue
                        picN(white + Dimension).BackColor = vbBlue
                        BLUE = BLUE + 1
                    End If
  
                End If
            End If
        End If
    End If
Next white



End Sub

Private Sub picN_Click(Index As Integer)
If picN(Index).BackColor = frmMain.BackColor Then
    picN(Index).BackColor = vbWhite
    MarkSquares
End If

If Player = "RED" Then
    Player = "BLUE"
Else
    Player = "RED"
End If

frmMain.Caption = "Safety Matches: " + Player
End Sub
